/**
 * StreetAddressLine2.java
 *
 * File generated from the medication2::StreetAddressLine2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration StreetAddressLine2.
 *
 * 
 */

@XmlType(name = "StreetAddressLine")
@XmlEnum
@XmlRootElement(name = "StreetAddressLine2")
public enum StreetAddressLine2 {
	@XmlEnumValue("SAL")
	SAL("SAL"),
	@XmlEnumValue("DIR")
	DIR("DIR"),
	@XmlEnumValue("BNR")
	BNR("BNR"),
	@XmlEnumValue("BNN")
	BNN("BNN"),
	@XmlEnumValue("BNS")
	BNS("BNS"),
	@XmlEnumValue("STR")
	STR("STR"),
	@XmlEnumValue("STB")
	STB("STB"),
	@XmlEnumValue("STTYP")
	STTYP("STTYP");
	
	private final String value;

    StreetAddressLine2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static StreetAddressLine2 fromValue(String v) {
        for (StreetAddressLine2 c: StreetAddressLine2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
